### Struct

# Ggit ReflogEntry

#### Description [src]

    struct GgitReflogEntry {
      /* No available fields */
    }

Represents a reflog entry.

#### Instance methods

###### ggit_reflog_entry_get_committer

Gets the committer as a `GgitSignature`.

###### ggit_reflog_entry_get_message

Gets the message.

###### ggit_reflog_entry_get_new_id

Gets the new `GgitOId`.

###### ggit_reflog_entry_get_old_id

Gets the old `GgitOId`.

###### ggit_reflog_entry_ref

Atomically increments the reference count of `reflog_entry` by one. This function is MT-safe and may be called from any thread.

###### ggit_reflog_entry_unref

Atomically decrements the reference count of `reflog_entry` by one. If the reference count drops to 0, `reflog_entry` is freed.